Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
apturl [Le 25/09/2019, 17:36]
L'Africain
apturl [Le 05/10/2019, 00:55] (Version actuelle)
L'Africain Petit nettoyage
Ligne 20: Ligne 20:
  
 ===== Installation ===== ===== Installation =====
-Sur Ubuntu, apturl est installé par défaut, toutefois si il ne l'est pas , il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>apturl|apturl]]**.+Sur Ubuntu, apturl est installé par défaut, toutefois si il ne l'est pas , il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​apturl]]**.
  
-Une interface existe pour [[:KDE]], elle se nomme **[[apt>apturl-kde|apturl-kde]]**.+Une interface existe pour [[:KDE]], elle se nomme **[[apt>​apturl-kde]]**.
  
 ==== Choisir apturl comme « gestionnaire de paquet » lors d'un clic sur un lien apt ==== ==== Choisir apturl comme « gestionnaire de paquet » lors d'un clic sur un lien apt ====
Ligne 34: Ligne 34:
 ==== Firefox et Epiphany ==== ==== Firefox et Epiphany ====
 <note warning> <note warning>
-L'​application apturl est certainement préinstallée depuis pas mal d'​années,​ mais des versions de firefox (56.0), livrées avec ubuntu 17.10 n'ont pas incorporé le paramétrage permettant de lancer l'​application. +Dans Ubuntu 18.04 la version "​snap"​ de Firefox (obtenu par la bibliothèque de logiciels) semble ne pas avoir pas les permissions nécessaires pour accéder au dossier ​**usr/bin/** (un message d'​erreur indique "​permission denied"​) ; tandis que la version obtenue via les [[dépôts]] ​(et donc préinstallée) fonctionnera correctement et pourra suivre le chemin jusqu'​à la fonction apt-url ([[https://​askubuntu.com/​questions/​1166033/​issues-with-firefox-permissions-on-ubuntu-18-04/​1166199#​1166199?​newreg=60e88651a8ea4c6f95188e1f28477fe9|source]]).</​note>​
- +
-Dans Ubuntu 18.04 la version "​snap"​ de Firefox (obtenu par la bibliothèque de logiciels) semble ne pas avoir pas les permissions nécessaires pour accéder au dossier usr/bin/ (un message d'​erreur indique "​permission denied"​) ; tandis que la version obtenue via les répertoires ​(sudo apt install firefox) fonctionnera correctement et pourra suivre le chemin jusqu'​à la fonction apt-url ([[https://​askubuntu.com/​questions/​1166033/​issues-with-firefox-permissions-on-ubuntu-18-04/​1166199#​1166199?​newreg=60e88651a8ea4c6f95188e1f28477fe9|source]]). +
- +
-</​note>​+
  
 {{ :​applications:​apturl_firefox_lucid2.png?​300|Besoin d'​activer les liens apturl ?}} {{ :​applications:​apturl_firefox_lucid2.png?​300|Besoin d'​activer les liens apturl ?}}
Ligne 47: Ligne 43:
 Ne pas oublier de cocher **Se souvenir de mon choix** et validez. Ne pas oublier de cocher **Se souvenir de mon choix** et validez.
  
-  * **Si le fichier ​ "​**apturl**"​ n'​existe pas dans le répertoire **/​usr/​bin**,​ Ouvrez un [[:​terminal]] et entrez la commande suivante:<​code>​sudo apt-get install apturl </​code>​+  * **Si le fichier ​ "​**apturl**"​ n'​existe pas dans le répertoire **/​usr/​bin**,​ Ouvrez un [[:​terminal]] et entrez la commande suivante:<​code>​sudo apt-get install apturl</​code>​
  
 Si ça ne fonctionne toujours pas, saisissez //​about:​config//​ (sans espace) dans la barre de navigation et rajoutez en faisant clic-droit puis //​nouvelle//​ : Si ça ne fonctionne toujours pas, saisissez //​about:​config//​ (sans espace) dans la barre de navigation et rajoutez en faisant clic-droit puis //​nouvelle//​ :
Ligne 55: Ligne 51:
   * **network.protocol-handler.warn-external.apt** en valeur booléenne et mettez **false** comme valeur,   * **network.protocol-handler.warn-external.apt** en valeur booléenne et mettez **false** comme valeur,
   * **network.protocol-handler.warn-external.apt+http** en valeur booléenne et mettez **false** comme valeur.   * **network.protocol-handler.warn-external.apt+http** en valeur booléenne et mettez **false** comme valeur.
-  *  Et eventuellement, une entrée //valeur booléenne//​ en saisissant (le nom de l'​option) **network.protocol-handler.expose.apt** puis validez et et sélectionnez **false** comme valeur.+  *  Et éventuellement, une entrée //valeur booléenne//​ en saisissant (le nom de l'​option) **network.protocol-handler.expose.apt** puis validez et et sélectionnez **false** comme valeur.
  
 Cliquez ensuite sur le lien apt d'une application que vous voulez installer, choisissez l'​application **apturl** dont le chemin est **///​usr/​bin/​apturl//​** pour l’ouvrir, cochez "Se souvenir de mon choix" et validez. Cliquez ensuite sur le lien apt d'une application que vous voulez installer, choisissez l'​application **apturl** dont le chemin est **///​usr/​bin/​apturl//​** pour l’ouvrir, cochez "Se souvenir de mon choix" et validez.
  • apturl.txt
  • Dernière modification: Le 05/10/2019, 00:55
  • par L'Africain